#include "uzel.h"
      Uzel::Uzel(string _name, gates _type){
             name=_name;
             type=_type;
             circ=0;
             prio=0;
             count_i=0;
             count_o=0;
             forWork=0;
             output=false;
      }
      void Uzel::add_input (string _name, Uzel *x){
             inputs.push_back(std::pair <string,Uzel*> (_name, x) );
             count_i++;
      } 
      void Uzel::add_output (string _name, Uzel *x){
             outputs.push_back(std::pair <string,Uzel*> (_name, x) );
             count_o++;
      }
